> For the complete documentation index, see [llms.txt](https://docs.stevoscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stevoscripts.com/paid-scripts/stevo_prison/config.md).

# Config

```lua
return {

    prisonMlo = 'void',
    policeJobs = {'police', 'sheriff'}, -- Police job names.

    loadedWaitTime = 0, -- Time to wait after player has loaded until spawning them into prison.
    creditsPerAction = 1, -- Amount of credits rewarded per job completed.
    actionsPerAction = 1, -- Amount of actions removed per job completed.
    handOverTime = 5, -- Seconds to handover items
    returnToPrison = true, -- Whether the script should teleport the player back to if they escape prematurely.

    sentencing = {
        min = 5,
        max = 15,
        enableSentenceCommand = true, -- Enable /sentence command.
        mustBeAtPrisonToSentence = true, -- Require players to be at the prison to use the command.
        autoTakeInventory = true, -- If false, you are required to make them use the item handover in the reception
        keepItems = {
            'water',
            'phone'
        }
    },

    chefShop = {
        prison_noodles = {
            label = 'Instant Noodles',
            icon = 'bowl-food',
            credits = 1
        },
        prison_buns = {
            label = 'Honey Buns',
            icon = 'bread-slice',
            credits = 5
        },
        water = {
            label = 'Water',
            icon = 'bottle-water',
            credits = 1
        }
    },

    escape = {
        enabled = true,
        ropeCoords = vec3(1650.9830, 2761.1646, 62.9163),
        playerHeading = 154.9795,
        timeLocked = 21, -- 24 hour time lock, (eg. 18 = cant use until 6pm ingame time) Set to false for no timelock.
    },

    prisonerTrades = {
        prison_rope = {
            label = 'Long Rope',
            icon = 'box',
            requirements = {
                prison_buns = 3,
                prison_noodles = 5
            }
        },
        escape = {
            label = 'Escape',
            icon = 'person-running',
            escape = true, -- Dont change.
            requirements = {
                prison_buns = 2,
                prison_noodles = 3,
                prison_rope = 1
            }
        },
    },

    prisonUniforms = {
        [1] = {
            ['arms'] = 5,
            ['tshirt_1'] = 15, 
            ['tshirt_2'] = 0,
            ['torso_1'] = 5, 
            ['torso_2'] = 0,
            ['bproof_1'] = 0,
            ['bproof_2'] = 0,
            ['decals_1'] = 0, 
            ['decals_2'] = 0,
            ['chain_1'] = 0,
            ['chain_2'] = 0,
            ['pants_1'] = 5, 
            ['pants_2'] = 7,
            ['shoes_1'] = 6, 
            ['shoes_2'] = 0,
            ['helmet_1'] = 104, 
            ['helmet_2'] = 21,
        },
        [0] = {
            ['arms'] = 4,
            ['tshirt_1'] = 15, 
            ['tshirt_2'] = 0,
            ['torso_1'] = 5, 
            ['torso_2'] = 0,
            ['bproof_1'] = 0,
            ['bproof_2'] = 0,
            ['decals_1'] = 0, 
            ['decals_2'] = 0,
            ['chain_1'] = 0,
            ['chain_2'] = 0,
            ['pants_1'] = 66, 
            ['pants_2'] = 6,
            ['shoes_1'] = 5, 
            ['shoes_2'] = 0,
            ['helmet_1'] = 103, 
            ['helmet_2'] = 21,
        }
    },

    peds = {
        warden = {
            model = `s_m_m_prisguard_01`,
            scenario = 'WORLD_HUMAN_CLIPBOARD',
        },

        chef = {
            model = `s_m_y_chef_01`,
            scenario = 'WORLD_HUMAN_WINDOW_SHOP_BROWSE',
        },

        prisoner = {
            model = `s_m_y_prisoner_01`,
            scenario = 'PROP_HUMAN_SEAT_STRIP_WATCH',
        }
    },

    interaction = {
        type = 'textui', -- target/text ui (Not all interactions support target, some interactions are only availible in text ui)

        markerColor = {r = 12, g = 94, b = 199, a = 190}, -- RGBA color of the interaction markers.

        textUI = {
            position = "right-center"
        },

        wardenTarget = {        
            radius = 3.0, 
            icon = 'fas fa-user', -- https://fontawesome.com/icons
            distance = 2.0,
        },

        prisonerTarget = {        
            radius = 3.0, 
            icon = 'fas fa-handshake', -- https://fontawesome.com/icons
            distance = 2.0,
        },

        progressCircle = false, --Whether to use lib progress circle. Set to false to use bar
    },

    menu = {
        iconColor = '#339af0', -- Set to false for default ox_lib color.
        progressStyle = 'blue', -- Set to false for default ox_lib color. Options can be found here: https://v6.mantine.dev/theming/colors/#default-colors
    },

    jobs = {

        cleaner = {
            enabled = true,
            actionTime = 8, -- Seconds
            maxJobType = 5, -- Max times someone can be given the same job (inside/outside cleaning) before they are reassigned.
            skillCheck = {'easy', 'medium'}, -- Set to false for no skillcheck
            icon = 'hand-sparkles'
        },

        grounds = {
            enabled = true,
            actionTime = 8, -- Seconds
            skillCheck = {'easy', 'medium'}, -- Set to false for no skillcheck
            icon = 'leaf'
        },
    
        cook = {
            enabled = true,
            actionTime = {
                collectSupplies = 3, -- Seconds
                cookFood = 5
            },
            skillCheck = {'easy', 'medium'}, -- Set to false for no skillcheck
            icon = 'kitchen-set'
        },
    
        laundry = {
            enabled = true,
            icon = 'jug-detergent',
            actionTime = {
                collectLaundry = 3, -- Seconds
                foldLaundry = 10
            },
        },

        recycling = {
            enabled = true,
            icon = 'recycle',
            actionTime = {
                collectScrap = 4, -- Seconds
                destroyScrap = 4,
                recycleScrap = 4
            },
            skillCheck = {'easy', 'medium'}, -- Set to false for no skillcheck
        }
    },

    alertPolice = function() -- Triggered when player escapes
        -- add police alert here.
    end, 


    debug = false, -- For Developers to debug the resource.

    
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stevoscripts.com/paid-scripts/stevo_prison/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
